Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGMatrix

public interface SVGMatrix

Method Summary
`SVGMatrix` | `flipX()`
`SVGMatrix` | `flipY()`
`float` | `getA()`
`float` | `getB()`
`float` | `getC()`
`float` | `getD()`
`float` | `getE()`
`float` | `getF()`
`SVGMatrix` | `inverse()`
`SVGMatrix` | `multiply(SVGMatrix secondMatrix)`
`SVGMatrix` | `rotate(float angle)`
`SVGMatrix` | `rotateFromVector(float x, float y)`
`SVGMatrix` | `scale(float scaleFactor)`
`SVGMatrix` | `scaleNonUniform(float scaleFactorX, float scaleFactorY)`
`void` | `setA(float a)`
`void` | `setB(float b)`
`void` | `setC(float c)`
`void` | `setD(float d)`
`void` | `setE(float e)`
`void` | `setF(float f)`
`SVGMatrix` | `skewX(float angle)`
`SVGMatrix` | `skewY(float angle)`
`SVGMatrix` | `translate(float x, float y)`

Method Detail

### getA

    public float getA()

### setA

    public void setA(float a)
              throws DOMException

### getB

    public float getB()

### setB

    public void setB(float b)
              throws DOMException

### getC

    public float getC()

### setC

    public void setC(float c)
              throws DOMException

### getD

    public float getD()

### setD

    public void setD(float d)
              throws DOMException

### getE

    public float getE()

### setE

    public void setE(float e)
              throws DOMException

### getF

    public float getF()

### setF

    public void setF(float f)
              throws DOMException

### multiply

    public SVGMatrix multiply(SVGMatrix secondMatrix)

### inverse

    public SVGMatrix inverse()
                      throws SVGException

### translate

    public SVGMatrix translate(float x,
                               float y)

### scale

    public SVGMatrix scale(float scaleFactor)

### scaleNonUniform

    public SVGMatrix scaleNonUniform(float scaleFactorX,
                                     float scaleFactorY)

### rotate

    public SVGMatrix rotate(float angle)

### rotateFromVector

    public SVGMatrix rotateFromVector(float x,
                                      float y)
                               throws SVGException

### flipX

    public SVGMatrix flipX()

### flipY

    public SVGMatrix flipY()

### skewX

    public SVGMatrix skewX(float angle)

### skewY

    public SVGMatrix skewY(float angle)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD